{-# LANGUAGE GeneralizedNewtypeDeriving #-}
module Bottom
( BottomId
, initialBottomId
) where

import Data.Word
import Format

newtype BottomId = BottomId Word64
  deriving(Eq, Ord, Show, Read, Enum)

initialBottomId :: BottomId
initialBottomId = BottomId 0

instance Format BottomId where
  format (BottomId wid) = show wid


